Subject: Newark INS is conducting interview for lADs

From: [email-masked] (Zhen Zhang)
Date: Sun, 19 Dec 93 12:54:59 CST

Hi!
Newark INS has been conducting interview for lads who files their I-485 with the
distric office since the beginning of the November.
I went there with my wife and my son(they are LADs) for the interview. The examiner( a lady) first  asked them to sign their name and took thir finger print on I-89. Then she looked at their passports and my employment letter. The interview
went on  smoothly. The whole process took less than 15 minutes. She told us that she will  approve their application when their visa numbers become available. We were given a phone number and told to start calling this number a month later to
check if their visa numbers are available, once the numbers are available, bring their passport to Newark to have it stamped(approval).

Although the examiner who interviewed us is  friendly, some officers there are not the same. Some applicants had bad experience there. 

Good luck to every LAD!

Z. Zhang